npm @storybook/addon-knobs 3.2.18
on Node.js NPM

2017-December-18

Bug Fixes

  • Number knob: apply default min/max/step values only in range mode #2437
  • [addon-actions] Check result of getPropertyDescriptor for IE11 #2428
  • Edited template of search box result item to fix overflow text in row #2419
  • Fix missing supported extension check in case when asset is a string #2468

Documentation

  • Fix react-native-vanilla to actually run storybook and document how to run it #2274
  • Add another state addon to the gallery #2391
  • Create ISSUE_TEMPLATE.md #2426
  • fix Button dependency & typo in composant name in documentation #2465
  • add vue storybook boilerplate #2421
  • fix: update links to webpack docs #2512

Maintenance

  • Do not remove debugger-statements during development #2493
  • FIX react-native-test in CI #2444

Dependency Upgrades



139 updates
  • Update gatsby in /docs from 1.9.139 to 1.9.141 #2510
  • Update gatsby in /docs from 1.9.138 to 1.9.139 #2499
  • Upgraded eslint-plugin-prettier in / from “2.3.1” to “2.4.0” #2500
  • Upgraded graphql in addons/graphql from “0.11.7” to “0.12.3” #2500
  • Upgraded moment in addons/knobs from “2.19.4” to “2.20.0” #2500
  • Upgraded ws in app/react-native from “3.3.2” to “3.3.3” #2500
  • Upgraded moment in addons/comments from “2.19.4” to “2.20.0” #2500
  • Update gatsby in /docs from 1.9.135 to 1.9.138 #2497
  • Upgraded eslint-plugin-jest in / from “21.4.3” to “21.5.0” #2496
  • Upgraded nodemon in / from “1.12.7” to “1.13.2” #2496
  • Upgraded nodemon in app/react from “1.12.7” to “1.13.2” #2496
  • Upgraded nodemon in app/vue from “1.12.7” to “1.13.2” #2496
  • Update gatsby-remark-copy-linked-files in /docs from 1.5.23 to 1.5.24 #2495
  • Update gatsby in /docs from 1.9.134 to 1.9.135 #2491
  • Update danger in / from 2.1.4 to 2.1.5 #2489
  • Upgraded gatsby-plugin-sharp in /docs from “1.6.23” to “1.6.24” #2490
  • Upgraded gatsby-remark-images in /docs from “1.5.35” to “1.5.36” #2490
  • Upgraded eslint-plugin-jest in / from “21.4.2” to “21.4.3” #2488
  • Upgraded nodemon in / from “1.12.6” to “1.12.7” #2488
  • Upgraded symlink-dir in / from “1.1.0” to “1.1.1” #2488
  • Upgraded @types/node in addons/knobs from “8.0.58” to “8.5.1” #2488
  • Upgraded @types/react in addons/knobs from “16.0.29” to “16.0.30” #2488
  • Upgraded style-loader in addons/knobs from “0.19.0” to “0.19.1” #2488
  • Upgraded vue in addons/knobs from “2.5.10” to “2.5.11” #2488
  • Upgraded autoprefixer in app/react-native from “7.2.2” to “7.2.3” #2488
  • Upgraded style-loader in app/react-native from “0.18.2” to “0.19.1” #2488
  • Upgraded autoprefixer in app/react from “7.2.2” to “7.2.3” #2488
  • Upgraded style-loader in app/react from “0.18.2” to “0.19.1” #2488
  • Upgraded nodemon in app/react from “1.12.6” to “1.12.7” #2488
  • Upgraded autoprefixer in app/vue from “7.2.2” to “7.2.3” #2488
  • Upgraded style-loader in app/vue from “0.18.2” to “0.19.1” #2488
  • Upgraded nodemon in app/vue from “1.12.6” to “1.12.7” #2488
  • Upgraded vue in app/vue from “2.5.10” to “2.5.11” #2488
  • Upgraded vue-template-compiler in app/vue from “2.5.10” to “2.5.11” #2488
  • Upgraded vue in examples/vue-kitchen-sink from “2.5.10” to “2.5.11” #2488
  • Upgraded vue-template-compiler in examples/vue-kitchen-sink from “2.5.10” to “2.5.11” #2488
  • Upgraded gatsby-link in /docs from “1.6.31” to “1.6.32” #2486
  • Upgraded gatsby-transformer-remark in /docs from “1.7.24” to “1.7.25” #2486
  • Upgraded gatsby in /docs from “1.9.131” to “1.9.134” #2486
  • Upgraded gatsby-remark-images in /docs from “1.5.34” to “1.5.35” #2476
  • Upgraded gatsby-source-filesystem in /docs from “1.5.10” to “1.5.11” #2476
  • Upgraded gatsby in /docs from “1.9.130” to “1.9.131” #2476
  • Upgraded eslint-plugin-jsx-a11y in / from “6.0.2” to “6.0.3” #2477
  • Upgraded nodemon in / from “1.12.5” to “1.12.6” #2477
  • Upgraded vue in addons/knobs from “2.5.9” to “2.5.10” #2477
  • Upgraded react-modal in lib/ui from “3.1.7” to “3.1.8” #2477
  • Upgraded nodemon in app/react from “1.12.5” to “1.12.6” #2477
  • Upgraded nodemon in app/vue from “1.12.5” to “1.12.6” #2477
  • Upgraded vue in app/vue from “2.5.9” to “2.5.10” #2477
  • Upgraded vue-template-compiler in app/vue from “2.5.9” to “2.5.10” #2477
  • Upgraded vue in examples/vue-kitchen-sink from “2.5.9” to “2.5.10” #2477
  • Upgraded vue-template-compiler in examples/vue-kitchen-sink from “2.5.9” to “2.5.10” #2477
  • Upgraded danger in / from “2.1.3” to “2.1.4” #2473
  • Upgraded eslint in / from “4.13.0” to “4.13.1” #2473
  • Upgraded prettier in / from “1.9.1” to “1.9.2” #2473
  • Upgraded @types/node in addons/knobs from “8.0.57” to “8.0.58” #2473
  • Upgraded @types/react in addons/knobs from “16.0.28” to “16.0.29” #2473
  • Upgraded core-js in app/react from “2.5.2” to “2.5.3” #2473
  • Upgraded core-js in app/vue from “2.5.2” to “2.5.3” #2473
  • Upgraded moment in addons/knobs from “2.19.3” to “2.19.4” #2462
  • Upgraded moment in addons/comments from “2.19.3” to “2.19.4” #2462
  • Upgraded react-inspector in addons/actions from “2.2.1” to “2.2.2” #2457
  • Upgraded react-inspector in lib/ui from “2.2.1” to “2.2.2” #2457
  • Upgraded gatsby-link in /docs from “1.6.30” to “1.6.31” #2458
  • Upgraded gatsby-plugin-sharp in /docs from “1.6.22” to “1.6.23” #2458
  • Upgraded gatsby-remark-autolink-headers in /docs from “1.4.9” to “1.4.10” #2458
  • Upgraded gatsby-remark-copy-linked-files in /docs from “1.5.22” to “1.5.23” #2458
  • Upgraded gatsby-remark-images in /docs from “1.5.33” to “1.5.34” #2458
  • Upgraded gatsby-remark-smartypants in /docs from “1.4.9” to “1.4.10” #2458
  • Upgraded gatsby-source-filesystem in /docs from “1.5.9” to “1.5.10” #2458
  • Upgraded gatsby-transformer-remark in /docs from “1.7.23” to “1.7.24” #2458
  • Upgraded gatsby in /docs from “1.9.128” to “1.9.130” #2458
  • Update react-stack-grid in /docs from 0.6.0 to 0.7.0 #2453
  • Upgraded eslint in / from “4.12.1” to “4.13.0” #2454
  • Upgraded core-js in app/react from “2.5.1” to “2.5.2” #2454
  • Upgraded core-js in app/vue from “2.5.1” to “2.5.2” #2454
  • Upgraded @types/node in addons/knobs from “8.0.56” to “8.0.57” #2448
  • Upgraded @types/react in addons/knobs from “16.0.27” to “16.0.28” #2448
  • Upgraded autoprefixer in app/react-native from “7.2.1” to “7.2.2” #2448
  • Upgraded autoprefixer in app/react from “7.2.1” to “7.2.2” #2448
  • Upgraded autoprefixer in app/vue from “7.2.1” to “7.2.2” #2448
  • Upgraded danger in / from “2.1.2” to “2.1.3” #2447
  • Upgraded jscodeshift in lib/codemod from “0.3.32” to “0.4.0” #2447
  • Upgraded jscodeshift in lib/cli from “0.3.32” to “0.4.0” #2447
  • Upgraded webpack-dev-server in examples/vue-kitchen-sink from “2.9.6” to “2.9.7” #2447
  • Upgraded danger in / from “2.0.3” to “2.1.2” #2442
  • Upgraded eslint-plugin-jest in / from “21.4.1” to “21.4.2” #2442
  • Upgraded github-release-from-changelog in / from “1.2.1” to “1.3.0” #2442
  • Upgraded nodemon in / from “1.12.4” to “1.12.5” #2442
  • Upgraded prettier in / from “1.9.0” to “1.9.1” #2442
  • Upgraded @types/node in addons/knobs from “8.0.54” to “8.0.55” #2442
  • Upgraded react-native in app/react-native from “0.50.4” to “0.51.0” #2442
  • Upgraded nodemon in app/react from “1.12.4” to “1.12.5” #2442
  • Upgraded nodemon in app/vue from “1.12.4” to “1.12.5” #2442
  • Upgraded @types/node in addons/knobs from “8.0.54” to “8.0.56” #2443
  • Upgraded webpack-dev-server in examples/vue-kitchen-sink from “2.9.5” to “2.9.6” #2443
  • Update fs-extra in / from 4.0.2 to 4.0.3 #2433
  • Upgraded eslint-plugin-jest in / from “21.4.0” to “21.4.1” #2430
  • Upgraded prettier in / from “1.8.2” to “1.9.0” #2430
  • Upgraded babel-eslint in / from “8.0.2” to “8.0.3” #2429
  • Upgraded commander in / from “2.12.1” to “2.12.2” #2429
  • Upgraded eslint in / from “4.12.0” to “4.12.1” #2429
  • Upgraded eslint-plugin-jest in / from “21.3.2” to “21.4.0” #2429
  • Upgraded inquirer in / from “4.0.0” to “4.0.1” #2429
  • Upgraded nodemon in / from “1.12.1” to “1.12.4” #2429
  • Upgraded moment in addons/knobs from “2.19.2” to “2.19.3” #2429
  • Upgraded react-datetime in addons/knobs from “2.11.0” to “2.11.1” #2429
  • Upgraded @types/node in addons/knobs from “8.0.53” to “8.0.54” #2429
  • Upgraded @types/react in addons/knobs from “16.0.25” to “16.0.27” #2429
  • Upgraded typescript in addons/knobs from “2.6.1” to “2.6.2” #2429
  • Upgraded vue in addons/knobs from “2.5.8” to “2.5.9” #2429
  • Upgraded commander in lib/cli from “2.12.1” to “2.12.2” #2429
  • Upgraded react-modal in lib/ui from “3.1.4” to “3.1.7” #2429
  • Upgraded autoprefixer in app/react-native from “7.1.6” to “7.2.1” #2429
  • Upgraded commander in app/react-native from “2.12.1” to “2.12.2” #2429
  • Upgraded webpack in app/react-native from “3.8.1” to “3.10.0” #2429
  • Upgraded airbnb-js-shims in app/react from “1.3.0” to “1.4.0” #2429
  • Upgraded autoprefixer in app/react from “7.1.6” to “7.2.1” #2429
  • Upgraded commander in app/react from “2.12.1” to “2.12.2” #2429
  • Upgraded webpack in app/react from “3.8.1” to “3.10.0” #2429
  • Upgraded nodemon in app/react from “1.12.1” to “1.12.4” #2429
  • Upgraded airbnb-js-shims in app/vue from “1.3.0” to “1.4.0” #2429
  • Upgraded autoprefixer in app/vue from “7.1.6” to “7.2.1” #2429
  • Upgraded commander in app/vue from “2.12.1” to “2.12.2” #2429
  • Upgraded webpack in app/vue from “3.8.1” to “3.10.0” #2429
  • Upgraded nodemon in app/vue from “1.12.1” to “1.12.4” #2429
  • Upgraded vue in app/vue from “2.5.8” to “2.5.9” #2429
  • Upgraded vue-template-compiler in app/vue from “2.5.8” to “2.5.9” #2429
  • Upgraded marked in addons/comments from “0.3.6” to “0.3.7” #2429
  • Upgraded moment in addons/comments from “2.19.2” to “2.19.3” #2429
  • Upgraded vue in examples/vue-kitchen-sink from “2.5.8” to “2.5.9” #2429
  • Upgraded vue-template-compiler in examples/vue-kitchen-sink from “2.5.8” to “2.5.9” #2429
  • Upgraded webpack in examples/vue-kitchen-sink from “3.8.1” to “3.10.0” #2429
  • Upgraded webpack-dev-server in examples/vue-kitchen-sink from “2.9.4” to “2.9.5” #2429
  • Upgraded @storybook/addon-actions in /docs from “3.2.16” to “3.2.17” #2427
  • Upgraded @storybook/addon-links in /docs from “3.2.16” to “3.2.17” #2427
  • Upgraded @storybook/addons in /docs from “3.2.16” to “3.2.17” #2427
  • Upgraded @storybook/react in /docs from “3.2.16” to “3.2.17” #2427
  • React 16.2 #2393

2 years ago